Public Member Functions | Private Attributes | List of all members
libabw::ABWInsertTextElement Class Reference
Inheritance diagram for libabw::ABWInsertTextElement:

## Public Member Functions
| ABWInsertTextElement (const librevenge::RVNGString &text)
| ~ABWInsertTextElement () override
void | write (librevenge::RVNGTextInterface *iface, const OutputElementsMap_t *footers, const OutputElementsMap_t *headers) const override
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()

## Private Attributes
librevenge::RVNGString | m_text

## Constructor & Destructor Documentation

## ◆ ABWInsertTextElement()

libabw::ABWInsertTextElement::ABWInsertTextElement | ( | const librevenge::RVNGString & | text | ) |
| inline

## ◆ ~ABWInsertTextElement()

libabw::ABWInsertTextElement::~ABWInsertTextElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ write()

void libabw::ABWInsertTextElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const OutputElementsMap_t * | footers,
|  | const OutputElementsMap_t * | headers
| ) |  | const
| override virtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

## ◆ m_text

librevenge::RVNGString libabw::ABWInsertTextElement::m_text
| private

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp